using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace DataSourceChangeNotifications
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{

		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}

		private void clubsGrid_SelectedCellsChanged(object sender, Telerik.Windows.Controls.GridView.GridViewSelectedCellsChangedEventArgs e)
		{
			GridViewCellInfo ci = e.AddedCells[0];
			Binding b = new Binding((ci.Column as GridViewDataColumn).DataMemberBinding.Path.Path) 
			{ 
				Mode = BindingMode.TwoWay, 
				UpdateSourceTrigger = UpdateSourceTrigger.PropertyChanged,
				Source = ci.Item
			};
			txt1.SetBinding(TextBox.TextProperty, b);
		}

		private void clubsGrid_AddingNewDataItem(object sender, Telerik.Windows.Controls.GridView.GridViewAddingNewEventArgs e)
		{
			e.NewObject = new Club()
			{
				Name = "initial name",
				Established = DateTime.Now.Date
			};
		}
	}
}
